%define name kfortune
%define version 1.3
%define release 12mdk

Summary: Kfortune -  a simple fortune program for Kde
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp.kde.org/pub/kde/stable/1.1.1/apps/utils/%{name}-%{version}.tar.bz2
Source1: kfortune_menuentry.tar.bz2
Source2: mini-kfortune.xpm.tar.bz2
Patch0: kfortune-1.3.3-compil.patch.bz2
Patch1: kfortune-1.3-correct.patch.bz2
Copyright: GPL
URL: http://www.fys.ruu.nl/~eendebak/kde/kfortune.html
Group: Toys
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: qt >= 1.44

%description
KFortune is a simple program for Kde. The program shows a short message,
called a 'fortune' every time the program is started or the user requests a
new fortune.

%prep
#rm -rf $RPM_BUILD_ROOT

%setup -q -n kfortune-1.3
tar xyf ../../SOURCES/kfortune_menuentry.tar.bz2  
tar xyf ../../SOURCES/mini-kfortune.xpm.tar.bz2 
%patch0 -p0 -b .compil

#this patch removes "nazis" citations
%patch1 -p1 -b .coorect

%build
export QTDIR=%{_libdir}/qt
export KDEDIR=%{_libdir}/kde1-compat
rm -f config.cache
libtoolize --force
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT
make KDEDIR=$KDEDIR

%install
rm -rf $RPM_BUILD_ROOT
make bindir=$RPM_BUILD_ROOT/%{_bindir} kde_bindir=$RPM_BUILD_ROOT%{_bindir} \
kde_htmldir=$RPM_BUILD_ROOT/%{_datadir}/doc/kde1/HTML \
kde_icondir=$RPM_BUILD_ROOT/%{_datadir}/icons \
kde_locale=$RPM_BUILD_ROOT/%{_datadir}/locale \
kde_mimedir=$RPM_BUILD_ROOT/%{_datadir}/mimelnk \
kde_minidir=$RPM_BUILD_ROOT/%{_datadir}/icons/mini \
kde_appsdir=$RPM_BUILD_ROOT/usr/lib/kde1-compat/share/apps \
kde_datadir=$RPM_BUILD_ROOT/usr/lib/kde1-compat/share/apps install

if [ -e $RPM_BUILD_ROOT/usr/lib/kde1-compat/share/apps/Games/kfortune.kdelnk ];
then
    mkdir -p $RPM_BUILD_ROOT/usr/lib/kde1-compat/share/applnk/Games
    mv $RPM_BUILD_ROOT/usr/lib/kde1-compat/share/apps/Games/kfortune.kdelnk $RPM_BUILD_ROOT/usr/lib/kde1-compat/share/applnk/Games/
fi

#if [ -e $RPM_BUILD_ROOT/usr/share/doc ]; then
#  mkdir -p $RPM_BUILD_ROOT/usr/doc
#  mv $RPM_BUILD_ROOT/usr/share/doc $RPM_BUILD_ROOT/usr/doc/kde
#fi

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 kfortune_menuentry $RPM_BUILD_ROOT/usr/lib/menu/kfortune

# (fg) small icon
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
install -m644 mini-kfortune.xpm $RPM_BUILD_ROOT/usr/share/icons/mini/kfortune.xpm


%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files 
%defattr(-,root,root,755)
/usr/bin/kfortune
/usr/lib/menu/kfortune
%dir /usr/lib/kde1-compat/share/applnk/Games
/usr/lib/kde1-compat/share/applnk/Games/kfortune.kdelnk
%dir /usr/lib/kde1-compat/share/apps/kfortune
/usr/lib/kde1-compat/share/apps/kfortune/*
#%dir /usr/lib/kde1-compat/share/apps/kfortune
#/usr/lib/kde1-compat/share/apps/kfortune/*
%dir /usr/share/icons
/usr/share/icons/kfortune.xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/kfortune.xpm
#%dir /usr/share/locale/*/LC_MESSAGES
#/usr/share/locale/*/LC_MESSAGES/kfortune.mo
%dir /usr/share/doc/kde1/HTML/*
/usr/share/doc/kde1/HTML/*/kfortune

%changelog
* Fri Oct  6 2000 Etienne Faure  <etienne@mandraksoft.com> 1.3-12mdk
- removed internationnalisation

* Wed Sep 13 2000 Etienne Faure  <etienne@mandraksoft.com> 1.3-11mdk
- rebuilt with new environement
- added macros
- removed "Nazis" fortune

* Sat Jun 03 2000 Etienne Faure <etienne@mandrakesoft.fr> 1.3-10mdk

-bziped icon and menu_entry files in sources

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3-9mdk

- post and postun scripts for menu
- Added --disable-rpath to ./configure

* Tue Mar 28 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3-8mdk

- Don't use autogenerated file list
- Don't use prefix
- Small icon
- Menu entry
- Changed group

* Mon Nov 22 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance
- Manually move documentation to /usr/doc/kde

* Wed Aug 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the requirement of kdebase cvs.

* Sat Jul 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rewriting the spec file.
- 1.3.

# end of file
